<?php
if (core::getGet("id") == NULL AND access::ifAccesss("add-evenement") == FALSE) {
    get::page("unknow");
    exit();
}

if (core::getGet("id") == NULL) {
    $titre = "Ajouter un évènement";
} else {
    $event = event::getFiche(core::getGet("id"));
    if(empty($event["id"])){
        get::page("unknow");
        exit();
    }
    
    $badgeCSS = " font-size:0.4em; margin-top:-5px;";
        
    $titre = "[#" . $event["id"] . "] " . $event["titre"];
    $titre .= ($event["type_inscription"] == 0) ? ' <span class="badge" style="background-color:#28a745;'.$badgeCSS.'">Ouvert à tous</span>' : ' <span class="badge" style="background-color:#ffc107;'.$badgeCSS.'">Uniquement sur inscription</span>';
    $titre .= ($event["type_emargement"] == 1) ? ' <span class="badge" style="background-color:orange;'.$badgeCSS.'">Pa contrôle</span>' : ' <span class="badge" style="background-color:#28a745;'.$badgeCSS.'">Autonome</span>';
    $titre .= ($event["actif"] == 1) ? ' <span class="badge" style="background-color:#28a745;'.$badgeCSS.'">Activé</span>' : ' <span class="badge" style="background-color:#dc3545;'.$badgeCSS.'">Désactivé</span>';
}

$tab_fiche = $tab_inscrits = $tab_salaries = "false";

if(alert::ifTab()){

    switch (alert::getTab()) {
        case "inscrits-tab":
            $tab_inscrits = "true";
            break;
        case "salaries-tab":
            $tab_salaries = "true";
            break;
        default:
            $tab_fiche = "true";
            break;
    }
    
} else {
    $tab_fiche = "true";
}

?>

<header class="d-flex flex-column flex-md-row align-items-md-center p-3 bg-light ">

    <div class="row" style="width:100%;">
        <div class="col-11">
            <h2 class="bd-title" id="content">
                <?php echo $titre ?>
            </h2>
        </div>
        <?php if(isset($event["id"]) AND isset($event["type_emargement"]) AND $event["type_emargement"] != 1){ ?>
            <div class="col-1" style="text-align:right; cursor: pointer;" data-toggle="modal" data-target="#QRCodeModal"><?php echo event::getQRCode($event["id"]) ?></div>
        <?php } ?>
    </div>
</header>
<?php 
        if(core::ifGet("add")) {
            $labelFil = "Ajouter un évènement";
            $lienFil = "/?add-evenement.html";
        } else {
            $labelFil = "[#" . $event["id"] . "] " . $event["titre"];
            $lienFil = "/evenement-".core::getGet("id").".html";
        }
        echo core::filAriane(array(
            "current" => $labelFil, 
            "arbo" => array( 
                "Evènements" => NULL,
                "Listes des évènements" => "/evenements.html",
                $labelFil => $lienFil)
        )); 
?>
<br />
    <ul class="nav nav-tabs" id="event-fiche" role="tablist">
        <li class="nav-item">
            <a class="nav-link<?php if($tab_fiche == "true"){ echo ' active'; } if(empty($event["id"])){ echo " disabled"; } ?>" data-toggle="tab" id="fiche-tab" role="tab" aria-selected="<?php echo $tab_fiche ?>">Fiche de l'évènement</a>
        </li>
<?php if(isset($event["id"])){ ?>
        <li class="nav-item">
            <a class="nav-link<?php if($tab_inscrits == "true"){ echo ' active'; } if(empty($event["id"])){ echo " disabled"; } ?>" data-toggle="tab" id="inscrits-tab" role="tab" aria-selected="<?php echo $tab_inscrits ?>">Salariés déjà inscrits</a>
        </li>
<?php if($event["type_inscription"] == 1){ ?>    
        <li class="nav-item">
            <a class="nav-link<?php if($tab_salaries == "true"){ echo ' active'; } if(empty($event["id"])){ echo " disabled"; } ?>" data-toggle="tab" id="salaries-tab" role="tab" aria-selected="<?php echo $tab_salaries ?>">Inscrire des Salariés</a>
        </li>
<?php } } ?>
    </ul>
<br />

<div class="tab-content">

    <div id="tab-fiche"<?php if($tab_fiche == "false"){ echo ' style="display: none;"'; } ?>> 
        <?php get::page("evenement-fiche") ?> 
    </div>
<?php if(isset($event["id"])){ ?>
    <div id="tab-inscrits"<?php if($tab_inscrits == "false"){ echo ' style="display: none;"'; } ?>>
        <?php get::page("evenement-inscrits") ?>
    </div>
<?php if($event["type_inscription"] == 1){ ?>  
    <div id="tab-salaries"<?php if($tab_salaries == "false"){ echo ' style="display: none;"'; } ?>>
        <?php get::page("evenement-salaries") ?>
    </div> 
<?php } } ?>
    
</div>

<script>
    $(document).ready(function(){
    
        $("#fiche-tab").click(function() {
            $("#tab-fiche").show();
            $("#tab-inscrits").hide();
            $("#tab-salaries").hide();
        });
<?php if(isset($event["id"])){ ?>       
        $("#inscrits-tab").click(function() {
            $("#tab-fiche").hide();
            $("#tab-inscrits").show();
            $("#tab-salaries").hide();
        });
<?php if($event["type_inscription"] == 1){ ?>        
        $("#salaries-tab").click(function() {
            $("#tab-fiche").hide();
            $("#tab-inscrits").hide();
            $("#tab-salaries").show();
        });
<?php } } ?>
    })
    
    
</script>

<?php if(isset($event["id"]) AND isset($event["type_emargement"]) AND $event["type_emargement"] != 1){ ?>
<div class="modal fade" id="QRCodeModal" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-body" style="text-align:center;">
                <h3><?php echo $event["titre"] ?></h3>
                <h6>Du <?php echo core::convertDate($event["startDate"]) ?> au <?php echo core::convertDate($event["endDate"]) ?></h6>
                <?php echo event::getQRCode($event["id"], "100%") ?>
                <?php 
                    if($event["actif"] == 0){ 
                        echo '<div class="alert alert-danger" role="alert">Cet évènement est désactivé et non visible des salariés.</div>'; 
                    } else {
                        echo '<a href="/print.php?p=qrcode-event&id='.$event["id"].'" target="_blank"><button type="button" class="btn btn-outline-primary btn-lg">Imprimer la fiche</button></a>';
                    }
                ?>
            </div>
        </div>
    </div>
</div>
<?php } ?>
